## libxfce4ui config libxfce4ui config — libxfce4ui config macros |

## Stability Level

Stable, unless otherwise indicated

## Functions

const gchar * | libxfce4ui_check_version ()
#define | LIBXFCE4UI_CHECK_VERSION()

## Types and Values

extern const guint | libxfce4ui_major_version
extern const guint | libxfce4ui_minor_version
extern const guint | libxfce4ui_micro_version
#define | LIBXFCE4UI_MAJOR_VERSION
#define | LIBXFCE4UI_MINOR_VERSION
#define | LIBXFCE4UI_MICRO_VERSION

## Includes

    #include <libxfce4ui/libxfce4ui.h>

## Description

Variables and functions to check the Libxfce4ui version.

## Functions

### libxfce4ui_check_version ()

    const gchar *
    libxfce4ui_check_version (guint required_major,
                              guint required_minor,
                              guint required_micro);

Checks that the `libxfce4ui` library in use is compatible with the given version. Generally you would pass in the constants LIBXFCE4UI_MAJOR_VERSION, LIBXFCE4UI_MINOR_VERSION and LIBXFCE4UI_MICRO_VERSION as the three arguments to this function; that produces a check that the library in use is compatible with the version of

`libxfce4ui` the extension was

compiled against.

Example 1. Checking the runtime version of the Libxfce4ui library

    1
    2
    3
    4
    5
    6
    const gchar *mismatch;
    mismatch = libxfce4ui_check_version (LIBXFCE4UI_MAJOR_VERSION,
                                         LIBXFCE4UI_MINOR_VERSION,
                                         LIBXFCE4UI_MICRO_VERSION);
    if (G_UNLIKELY (mismatch != NULL))
      g_error ("Version mismatch: %s", mismatch);

#### Parameters

required_major | the required major version. |
required_minor | the required minor version. |
required_micro | the required micro version. |

#### Returns

`NULL` if the library is compatible with the given version, or a string describing the version mismatch. The returned string is owned by the library and must not be freed or modified by the caller.

### LIBXFCE4UI_CHECK_VERSION()

    #define             LIBXFCE4UI_CHECK_VERSION(major, minor, micro)

A macro to compare libxfce4ui versions to determine if a particular function is available.

#### Parameters

major | The major version of the library, i.e. 4 |
minor | The minor version of the library, i.e. 20 |
micro | The micro release of the library, i.e. 0 |

## Types and Values

### libxfce4ui_major_version

    extern const guint libxfce4ui_major_version;

A constat that evaluates to the major version of libxfce4ui.

### libxfce4ui_minor_version

    extern const guint libxfce4ui_minor_version;

A constat that evaluates to the minor version of libxfce4ui.

### libxfce4ui_micro_version

    extern const guint libxfce4ui_micro_version;

A constat that evaluates to the micro version of libxfce4ui.

### LIBXFCE4UI_MAJOR_VERSION

    #define LIBXFCE4UI_MAJOR_VERSION (4)

A macro that evaluates to the major version of libxfce4ui, in a format that can be used by the C pre-processor.

### LIBXFCE4UI_MINOR_VERSION

    #define LIBXFCE4UI_MINOR_VERSION (19)

A macro that evaluates to the minor version of libxfce4ui, in a format that can be used by the C pre-processor.

### LIBXFCE4UI_MICRO_VERSION

    #define LIBXFCE4UI_MICRO_VERSION (6)

A macro that evaluates to the micro version of libxfce4ui, in a format that can be used by the C pre-processor.